<?php
namespace Magento\InventorySales\Model\GetItemsToCancelFromOrderItem;

/**
 * Interceptor class for @see \Magento\InventorySales\Model\GetItemsToCancelFromOrderItem
 */
class Interceptor extends \Magento\InventorySales\Model\GetItemsToCancelFromOrderItem implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\InventorySalesApi\Model\GetSkuFromOrderItemInterface $getSkuFromOrderItem, \Magento\InventorySalesApi\Api\Data\ItemToSellInterfaceFactory $itemsToSellFactory, \Magento\Framework\Serialize\Serializer\Json $jsonSerializer)
    {
        $this->___init();
        parent::__construct($getSkuFromOrderItem, $itemsToSellFactory, $jsonSerializer);
    }

    /**
     * {@inheritdoc}
     */
    public function execute(\Magento\Sales\Model\Order\Item $orderItem) : array
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute($orderItem);
    }
}
